Eclipse Platform Release 3.7

## org.eclipse.equinox.security.auth.module
Class ExtensionLoginModule

    java.lang.Object
      org.eclipse.equinox.security.auth.module.ExtensionLoginModule

All Implemented Interfaces:
  LoginModule

    public final class ExtensionLoginModule

extends Object
implements LoginModule

This class allows login modules specified via `loginModule` extension point to be included in the login configurations.

To include your login module in a login configuration, specify this class as a login module using its qualified Java name. Options specified for such entry should contain an option named `extensionId` set to the qualified ID of the extension describing your login module.

This class should not be extended or instantiated directly.

Restriction:
  This class is not intended to be instantiated by clients.

Field Summary
`static String` `OPTION_MODULE_POINT` The key for the option that specifies an extension describing the actual login module

Constructor Summary
`ExtensionLoginModule()` Constructor

Method Summary
`boolean` `abort()`
`boolean` `commit()`
`void` `initialize(Subject subject, CallbackHandler callbackHandler, Map sharedState, Map options)`
`boolean` `login()`
`boolean` `logout()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### OPTION_MODULE_POINT

    public static final String OPTION_MODULE_POINT

  The key for the option that specifies an extension describing the actual login module

  See Also:
    Constant Field Values

Constructor Detail

### ExtensionLoginModule

    public ExtensionLoginModule()

  Constructor

Method Detail

### initialize

    public void initialize(Subject subject,
                           CallbackHandler callbackHandler,
                           Map sharedState,
                           Map options)

  Specified by:
    `initialize` in interface `LoginModule`

### login

    public boolean login()
                  throws LoginException

  Specified by:
    `login` in interface `LoginModule`
  Throws:
    `LoginException`

### commit

    public boolean commit()
                   throws LoginException

  Specified by:
    `commit` in interface `LoginModule`
  Throws:
    `LoginException`

### abort

    public boolean abort()
                  throws LoginException

  Specified by:
    `abort` in interface `LoginModule`
  Throws:
    `LoginException`

### logout

    public boolean logout()
                   throws LoginException

  Specified by:
    `logout` in interface `LoginModule`
  Throws:
    `LoginException`

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.